Reputation
Top tag
Next privilege 125 Rep.
Vote down
Badges
1 7
Impact
~4k people reached

  • 0 posts edited
  • 0 helpful flags
  • 3 votes cast
Oct
26
comment Dependency loop while trying to install gcc on Fedora 17
The yum upgrade failed unfortunately. I'll try removing a few packages which might be causing some problems. Thanks
Aug
4
comment mysqld fails on F16
Thanks, but I'm getting Error getting repository data for remi, repository not found
Aug
4
comment mysqld fails on F16
@quanta still empty, sometimes the service mysqld start command hangs
Aug
4
comment mysqld fails on F16
@quanta the log file is /var/log/mysql.log from my.cnf but that file doesn't exist?
May
9
comment Compile PHP5.4 for Apache (PHP5.3 already apt-get installed)
Aha! It's working. Mike already prompted me to install apache2-prefork-dev but I couldn't see the apxs binary until I did updatedb; locate apxs. Now I've got the joy of finding all the missing extensions it didn't install. Thanks for your help
May
8
comment Compile PHP5.4 for Apache (PHP5.3 already apt-get installed)
I can't run that script as is. It throws a few errors, but I do have axps installed now, and there is a LoadModule in mods-enabled but that itself is throwing an error. This is from Mikes answer apache2: Syntax error on line 210 of /etc/apache2/apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load /usr/lib/apache2/modules/libphp5.so into server: /usr/lib/apache2/modules/libphp5.so: undefined symbol: OnUpdateLong
May
8
comment Compile PHP5.4 for Apache (PHP5.3 already apt-get installed)
@hornetbzz I have LoadModule php5_module /usr/lib/apache2/modules/libphp5.so in /etc/apache2/mods-enabled/php5.load, but I wouldn't know what to change to make this work. I've made some progress as you can see in the comments for @Mike s question. I'll try what you've just added as an answer though. Thanks
May
8
comment Compile PHP5.4 for Apache (PHP5.3 already apt-get installed)
Agreed. Thanks.
May
8
comment Compile PHP5.4 for Apache (PHP5.3 already apt-get installed)
That boils down to LoadModule php5_module /usr/lib/apache2/modules/libphp5.so in /etc/apache2/mods-enabled/php5.load
May
8
comment Compile PHP5.4 for Apache (PHP5.3 already apt-get installed)
Thanks. That compiled fine, but when I restart I get a config error. apache2: Syntax error on line 210 of /etc/apache2/apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load /usr/lib/apache2/modules/libphp5.so into server: /usr/lib/apache2/modules/libphp5.so: undefined symbol: OnUpdateLong
May
8
comment Compile PHP5.4 for Apache (PHP5.3 already apt-get installed)
I have 2.2.22 (Ubuntu) but dpkg -l | grep apache also shows libapache2-mod-php5 5.3.10-1ubuntu3.1 which could well be the problem. I'm not sure exactly what to install here, excuse my ignorance?
May
8
comment Compile PHP5.4 for Apache (PHP5.3 already apt-get installed)
Command not found. There's an apxs2 in apache2-threaded-dev and apache2-prefork-dev
May
8
comment Compile PHP5.4 for Apache (PHP5.3 already apt-get installed)
Does this mean I have to compile apache from source or, is there a path to apxs I don't know about (whatever apxs is)?
May
8
comment Compile PHP5.4 for Apache (PHP5.3 already apt-get installed)
During the configure I'm getting: Sorry, I cannot run apxs. Possible reasons follow: 1. Perl is not installed 2. apxs was not found. Try to pass the path using --with-apxs2=/path/to/apxs 3. Apache was not built using --enable-so (the apxs usage page is displayed)
Nov
5
comment Dynamic VirtualHost w/ Include Directive
Sounds good. Does each VirtualHost container you specify in that file inherit from the default, or would you have to specify the DocumentRoot, ServerName, etc.. again?